##########################################################################
#
#  Maple TFL
#
#  filename: FA.mpl
#  description: Constructors and utilities for finite automata,
#               which are refinement of Acceptor type.    
#	 
#  [to be included in Acceptor.mpl]
#	 
##########################################################################

extend( 'FA', 'Acceptor' 
        );

##########################################################################

# some dummy FA constructor
newFA := proc()
  module()
    export accept, toGenerator, toExpression;
    accept := proc(p_str)
      printf( "this is FA accept proc\n" );
      # let it be always true
      true; 
    end proc;
  end module;
end proc;

